Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ProxyPushConsumer Class Reference

ProxyPushConsumer. More...

`#include <EC_ProxyConsumer.h>`

Inheritance diagram for TAO_EC_ProxyPushConsumer:

[legend]
List of all members.

## Public Types
typedef RtecEventChannelAdmin::ProxyPushConsumer | Interface
typedef RtecEventChannelAdmin::ProxyPushConsumer_var | _var_type
typedef RtecEventChannelAdmin::ProxyPushConsumer_ptr | _ptr_type
## Public Methods
| TAO_EC_ProxyPushConsumer (TAO_EC_Event_Channel_Base *event_channel)
| constructor...
virtual | ~TAO_EC_ProxyPushConsumer (void)
| destructor...

## Detailed Description

ProxyPushConsumer.

Implement the RtecEventChannelAdmin::ProxyPushConsumer interface, remember that this class is used to communicate with a PushSupplier, so, in effect, this is the ambassador for a supplier inside the event channel.

## Memory Management

It makes a copy of the SupplierQOS and the supplier object reference. It uses bind/unbind to control the lifetime of the Supplier_Filter object. The object commits suicide when disconnect_push_consumer() is called.

## Locking

No provisions for locking, access must be serialized externally.

## Member Typedef Documentation

typedef RtecEventChannelAdmin::ProxyPushConsumer_ptr TAO_EC_ProxyPushConsumer::_ptr_type

typedef RtecEventChannelAdmin::ProxyPushConsumer_var TAO_EC_ProxyPushConsumer::_var_type

typedef RtecEventChannelAdmin::ProxyPushConsumer TAO_EC_ProxyPushConsumer::Interface

## Constructor & Destructor Documentation

TAO_EC_ProxyPushConsumer::TAO_EC_ProxyPushConsumer | ( | TAO_EC_Event_Channel_Base * | event_channel | ) |

| constructor...

TAO_EC_ProxyPushConsumer::~TAO_EC_ProxyPushConsumer | ( | void |  | ) | `[virtual]`

| destructor...

The documentation for this class was generated from the following files:

- EC_ProxyConsumer.h
- EC_ProxyConsumer.cpp